#pragma once

#include "Mix/Tool/Win32/Core/Dynamics/Shape.h"

namespace Mix{ namespace Tool{ namespace Win32{ namespace Dynamics{

	class BoxShape : public Mix::Tool::Win32::Dynamics::Shape
	{
	public:
		virtual ~BoxShape( void ) {}

	public:
		virtual D3DXVECTOR3 GetHalfExtents( void ) const = 0;

	public:
		MIX_OBJECT_TYPE( Mix::Tool::Win32::Object::DYNAMICS__BOX_SHAPE, Mix::Tool::Win32::Dynamics::Shape )
	};

}}}}
